metadata:
  id: n8n-1
  name:
    en: n8n
  version: 0.1.0
  displayVersion: 1.73.1
  category:
    af: Automation
    ar: الوضع التلقائي
    ca: Automatització
    cs: Automation
    da: Automation
    de: Automatisierung
    el: Αυτοματισμός
    en: Automation
    es: Automatización
    fi: Automation
    fr: Automatisation
    he: Automation
    hu: Automatizálás
    it: Automazione
    ja: 自動化
    ko: 자동화
    nl: Automatisering
    no: Automation
    pl: Automatyzacja
    pt: Automação
    ro: Automatizare
    ru: Автоматизация
    sr: Automation
    sv: Automatisering
    tr: Otomasyon
    uk: Автоматизація
    vi: Tự động hóa
    zh: 自動化
  tagline:
    en: Workflow Automation Tool. Alternative to Zapier
  developers: {}
  description:
    en: n8n is an extendable workflow automation tool. With a fair-code distribution model, n8n will always have visible source code, be available to self-host, and allow you to add your own custom functions, logic and apps. n8n's node-based approach makes it highly versatile, enabling you to connect anything to everything.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/n8n-io/n8n
  support: https://n8n.io/
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/n8n-1/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  n8n-1: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        DB_POSTGRESDB_DATABASE: !StringLike n8n
        DB_POSTGRESDB_HOST: !StringLike n8n-db
        DB_POSTGRESDB_PASSWORD: !StringLike f2cdf112997f06b7aa264eefbaaa3231
        DB_POSTGRESDB_PORT: !StringLike '5432'
        DB_POSTGRESDB_USER: !StringLike n8n
        DB_TYPE: !StringLike postgresdb
        N8N_EDITOR_BASE_URL: !StringLike http://test.nirvati.org
        N8N_SECURE_COOKIE: !StringLike 'false'
        WEBHOOK_URL: !StringLike http://test.nirvati.org
      hostname: null
      image: n8nio/n8n:1.73.1
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /home/node/.n8n
        sub_path: data/n8n
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
  n8n-db: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        POSTGRES_DB: !StringLike n8n
        POSTGRES_NON_ROOT_PASSWORD: !StringLike f2cdf112997f06b7aa264eefbaaa3231
        POSTGRES_NON_ROOT_USER: !StringLike n8n
        POSTGRES_PASSWORD: !StringLike cafe2f12dd3bdfe202ed849eba7a5cc0
        POSTGRES_USER: !StringLike tipi
      hostname: null
      image: postgres:11
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /var/lib/postgresql/data
        sub_path: data/postgres
        is_readonly: false
        from_app: null
        from_ns: null
      - !Longhorn
        name: data
        mount_path: /docker-entrypoint-initdb.d/init-data.sh
        sub_path: data/init-data.sh
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  n8n-1:
    target_container: n8n-1
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  n8n-1-nirvati-ingress:
    target_container: n8n-1
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        5678: 5678
    cluster_ip: null
    network_policy: null
  n8n-db:
    target_container: n8n-db
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: n8n-1-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 5678
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
